Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.transformation
Class MVELDataTransformer

    java.lang.Object
      org.jbpm.process.core.transformation.MVELDataTransformer

All Implemented Interfaces:
  DataTransformer

    public class MVELDataTransformer

extends Object
implements DataTransformer

MVEL based `DataTransformer` implementation

Constructor Summary
`MVELDataTransformer()`

Method Summary
`Object` | `compile(String expression)` Compiles given expression into reusable unit.
`Object` | `transform(Object expression, Map<String,Object> parameters)` Transforms the given expression object (might be compiled expression) using `parameters` as contextual information (aka bindings) used during evaluation of the expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVELDataTransformer

    public MVELDataTransformer()

Method Detail

### compile

    public Object compile(String expression)

  Description copied from interface: `DataTransformer`
  Compiles given expression into reusable unit. This is optional operation and in case it's not supported by given transformed it should return the same expression that was given in the input. If compilation is supported a compiled instance of the expression should be returned.

  Specified by:
    `compile` in interface `DataTransformer`
  Parameters:
    `expression` - language specific expression
  Returns:
    compiled expression instance or same as given as argument expression

### transform

    public Object transform(Object expression,
                            Map<String,Object> parameters)

  Description copied from interface: `DataTransformer`
  Transforms the given expression object (might be compiled expression) using `parameters` as contextual information (aka bindings) used during evaluation of the expression.

  Specified by:
    `transform` in interface `DataTransformer`
  Parameters:
    `expression` - expression to evaluate
    `parameters` - binding parameters
  Returns:
    result of the evaluation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.